RNAlib-2.2.9

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
findpath.h File Reference
Include dependency graph for findpath.h:

Go to the source code of this file.

## Data Structures
struct | vrna_path_s
| An element of a refolding path list. More...

## Typedefs
typedef struct vrna_path_s | vrna_path_t
| Typename for the refolding path data structure vrna_path_s.
typedef struct vrna_path_s | path_t
| Old typename of vrna_path_s. More...

## Functions
int | vrna_path_findpath_saddle (vrna_fold_compound_t *vc, const char *struc1, const char *struc2, int max)
| Find energy of a saddle point between 2 structures (search only direct path) More...
vrna_path_t * | vrna_path_findpath (vrna_fold_compound_t *vc, const char *s1, const char *s2, int maxkeep)
| Find refolding path between 2 structures (search only direct path) More...
int | find_saddle (const char *seq, const char *struc1, const char *struc2, int max)
| Find energy of a saddle point between 2 structures (search only direct path) More...
void | free_path (vrna_path_t *path)
| Free memory allocated by get_path() function. More...
vrna_path_t * | get_path (const char *seq, const char *s1, const char *s2, int maxkeep)
| Find refolding path between 2 structures (search only direct path) More...